<script>
	import Tailwindcss from "./Tailwindcss.svelte";
	import Router from "svelte-spa-router";
	import SignUp from "./pages/SignUp.svelte";
	import SignIn from "./pages/SignIn.svelte";
	import ForgotPassword from "./pages/ForgotPassword.svelte";
	import Footer from "./components/Footer.svelte";
	import Header from "./components/Header.svelte";
	import DashBoard from "./pages/DashBoard.svelte";
	import Loader from "./components/Loader.svelte";
	import ChangePassword from "./pages/ChangePassword.svelte";
	import Deactivate from "./pages/Deactivate.svelte";

	import { userbaseStore, userStore, promiseStore } from "./stores";

	const userbase = window.userbase;
	window.userbase = null;

	$userbaseStore = userbase;
	$userStore = null;

	$promiseStore = userbase
		.init({ appId: "b48c305c-e7b3-4809-a461-713f655aaea9" })
		.then((session) => ($userStore = session.user));
</script>

<Tailwindcss />
{#if $userStore}
<Header/>
{/if}
	{#await $promiseStore}
		<Loader/>
	{:then _}
		{#if $userStore}
		<Router
			routes={{
				"/dashboard": DashBoard,
				"/changePassword": ChangePassword,
				"/deactivateAccount": Deactivate,
			}} 
			/>
		{:else}
		<script >window.location = '#/signUp'</script>

		<div class="container flex justify-center items-center w-screen h-screen mx-auto">	
		<Router
			routes={{
				"/signUp": SignUp,
				"/signin": SignIn,
				"/forgotPassword": ForgotPassword,
			}}
		/>
		</div>
		{/if}
	{:catch error}
		{error}
	{/await}
{#if $userStore}
<Footer/>
{/if}
